Name: liboauth2
Version: 1.4.1
Release: 2%{?dist}
Summary: Generic library to build OAuth 2.x and OpenID Connect servers and clients in C
License: AGPLv3
URL: https://github.com/zmartzone/liboauth2
Source0: https://github.com/zmartzone/liboauth2/archive/v%{version}/%{name}-%{version}.tar.gz

# apache: use include directory from APXS
# On Fedora, when building Apache module support, it is not enough to get
# APR CFLAGS, we need also APXS include details. Use APXS tool directly.
# Merged upstream: https://github.com/zmartzone/liboauth2/pull/20
Patch1: liboauth2-apache-fix.patch
# https://github.com/zmartzone/liboauth2/pull/22
Patch2: liboauth2-fix-logging.patch

BuildRequires: automake
BuildRequires: cmake
BuildRequires: gcc
BuildRequires: httpd-devel
BuildRequires: libtool
BuildRequires: make
BuildRequires: check
BuildRequires: pkgconfig(check)
BuildRequires: pkgconfig(cjose)
BuildRequires: pkgconfig(jansson)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(openssl)
BuildRequires: gdb-minimal

%description
liboauth2 library provides primitives to create OAuth 2.x and OpenID Connect
servers and clients

%package devel
Summary: Library to build OAuth 2.x and OpenID Connect servers and clients in C
License: AGPLv3
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
liboauth2 library provides primitives to create OAuth 2.x and OpenID Connect
servers and clients.

%package apache
Summary: OAuth 2.x and OpenID Connect library integration to Apache
License: AGPLv3
Requires: %{name}%{?_isa} = %{version}-%{release}

%description apache
OAuth 2.x and OpenID Connect library integration to Apache web server

%package apache-devel
Summary: Development components to build Apache module with liboauth2 library
License: AGPLv3
Requires: %{name}-apache%{?_isa} = %{version}-%{release}
Requires: %{name}-devel%{?_isa} = %{version}-%{release}

%description apache-devel
Development components to build Apache module with liboauth2 library

%prep
%autosetup -p1 -n liboauth2-%{version}

%build
autoreconf -ivf
%configure --with-apache --without-redis --without-memcache
%make_build

%check
%ifnarch armv7hl
# Do not run tests on 32-bit ARMv7 until we find a way to fix unaligned memory access
# https://github.com/zmartzone/liboauth2/issues/21
%make_build check
%endif

%install
%make_install
# Don't install static libraries and .la files
rm -vf %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/*.a
find %{buildroot}%{_includedir}/oauth2 -name '*.h' | grep -v apache | sed 's@%{buildroot}@@g' > file.headers

%files devel -f file.headers
%dir %{_includedir}/oauth2
%{_libdir}/pkgconfig/liboauth2.pc
%{_libdir}/liboauth2.so

%files
%{_libdir}/liboauth2.so.0
%{_libdir}/liboauth2.so.0.0.0
%license LICENSE
%doc README.md

%files apache
%{_libdir}/liboauth2_apache.so.0
%{_libdir}/liboauth2_apache.so.0.0.0

%files apache-devel
%{_includedir}/oauth2/apache.h
%{_libdir}/pkgconfig/liboauth2_apache.pc
%{_libdir}/liboauth2_apache.so


%changelog
* Mon Apr 19 2021 Alexander Bokovoy <abokovoy@redhat.com> 1.4.1-2
- Fedora packaging review updates

* Sat Apr 17 2021 Alexander Bokovoy <abokovoy@redhat.com> 1.4.1-1
- Initial package
